@import "./src/styles/_abstracts/_variables.scss";
@import "./src/styles/_abstracts/_mixins.scss";

.posts {
  @include flex-between;
  flex-direction: column;
}

.posts__title {
  font-weight: 700;
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
  color: $primary-text-color;
  margin-bottom: 23px;
}

.posts__container {
  max-height: 700px;
  overflow: hidden;

  @media (min-width: $desktop-bp) {
    display: grid;
    grid-template-columns: repeat(2, minmax(357px, 1fr));
    grid-template-rows: 2fr 2fr;
    column-gap: 55px;
    row-gap: 32px;
  }
}

.posts__post {
  margin-top: 28.5px;

  @media (min-width: $tablet-bp) {
    display: flex;
  }

  @media (min-width: $desktop-bp) {
    margin-top: 0;
    flex-basis: 545px;
  }
}

.posts__post-img {
  width: 160px;
  margin-bottom: 11px;
}

.posts__post-wrapper {
  @media (min-width: $tablet-bp) {
    margin-left: 20px;
  }
}

.posts__post-title {
  font-weight: 700;
  font-size: 14px;
  line-height: 30px;
  color: $primary-text-color;
}


.posts__post-info {
  font-size: 11px;
  line-height: 20px;
  color: $third-text-color;

  span {
    padding: 0 10px;
  }
}

.posts__post-content {
  font-size: 14px;
  line-height: 26px;
  color: $secondary-text-color;
  display: none;

  @media (min-width: $tablet-bp) {
    display: inline;
    margin-top: 13px;
  }
}